Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.fdf
Class FDFAnnotation

    java.lang.Object
      org.pdfbox.pdmodel.fdf.FDFAnnotation

All Implemented Interfaces:
  COSObjectable

public class FDFAnnotation
extends Object
implements COSObjectable

This represents an FDF annotation that is part of the FDF document.

Version:
  $Revision: 1.3 $
Author:
  Ben Litchfield

Constructor Summary
`FDFAnnotation()` Default constructor.
`FDFAnnotation(COSDictionary a)` Constructor.

Method Summary
`COSDictionary` | `getCOSDictionary()` Convert this standard java object to a COS object.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`Integer` | `getPage()` This will get the page number or null if it does not exist.
`void` | `setPage(int page)` This will set the page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FDFAnnotation

    public FDFAnnotation()

  Default constructor.

### FDFAnnotation

    public FDFAnnotation(COSDictionary a)

  Constructor.

Parameters:
  `a` - The FDF annotation.

Method Detail

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.

### getCOSDictionary

    public COSDictionary getCOSDictionary()

  Convert this standard java object to a COS object.

  Returns:
    The cos object that matches this Java object.

### getPage

    public Integer getPage()

  This will get the page number or null if it does not exist.

  Returns:
    The page number.

### setPage

    public void setPage(int page)

  This will set the page.

  Parameters:
    `page` - The page number.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD